Subject: Re: [PATCH 0/5] gitweb: Some code cleanups (up to perlcritic --stern)

From: Daniel Pittman <[email-masked]>
Date: Mon, 11 May 2009 15:13:20 +1000

Junio C Hamano <[email-masked]> writes:
> Jakub Narebski <[email-masked]> writes:
>> On Mon, 11 May 2009, Junio C Hamano wrote:
>>
>>> But this series, when queued to 'pu', seems to break t9500; I haven't
>>> looked at the breakage myself yet.
>>
>> I'm sorry about that. My bad. The fix is in the email (unless you
>> prefer for me to just resend the series)...
>
> That's Ok.  I had them near the tip of 'pu', and I can just replace them.
>
> But this episode does not give much confidence in Perl::Critic does it?
> The runtime "use strict" diagnosed undeclared globals in the cleaned up
> code, but presumably the Critic did not complain anything about it, right?

Perl::Critic is about coding style, not about tests like 'use strict'
that are detected by Perl already, for better or worse.

In other words: like checkpatch on the LKML, not like sparse. ;)

Regards,
        Daniel